Loyalty Points
Base URL: https://api.covasoft.net/iqloyalty
Endpoints
GET v1/Companies({CompanyId})/Entities({LocationId})/Rewards
Returns All the Loyalty Rewards for a Company
Base URL:
https://api.covasoft.net/iqloyalty
Example of a call would be:
https://api.covasoft.net/iqloyalty/v1/Companies({CompanyId})/Entities({LocationId})/Rewards
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage | integer | Required |
| LocationId | Any Location Id, or the Company Id | integer | Required |
Body Parameters
None.
Response Information
Resource Description
Loyalty Rewards for a Company
Collection of LoyaltyRewardsByCompanyReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | The unique Id for this reward. This is generated by the system and is required for updating or deleting a reward, but not for creating a reward. | integer | None. |
| Name | The name of this reward. | string | None. |
| PointsRequired | The points required to redeedm this reward. | integer | None. |
| Type | The type of reward. This must be 'MoneyOffInvoice'. | RewardType | None. |
| Value | The dollar value of this reward. | string | None. |
| DiscountId | The corresponding DisocuntId for this reward. Is not used | globally unique identifier | None. |
| LastModifiedUtc | The last modified date of this reward. | date | None. |
| LastModifiedUserName | The username of the last user to modify this reward. | string | None. |
Response Formats
application/json, text/json
[
{
"Id": 310,
"Name": "$5 off for 5000",
"PointsRequired": 5000,
"Type": "MoneyOffInvoice",
"Value": "5",
"DiscountId": "565ecf0d-3d0b-47f2-a741-ae6b5eb6104d",
"LastModifiedUtc": "2018-06-29T22:58:23.6588214Z",
"LastModifiedUserName": "Simon Jacobs"
},
{
"Id": 311,
"Name": "Bonus for saving up",
"PointsRequired": 20000,
"Type": "MoneyOffInvoice",
"Value": "25",
"DiscountId": "91531f3f-8110-4c1b-8e7a-ed9ba3845ed0",
"LastModifiedUtc": "2018-06-29T22:58:24.421868Z",
"LastModifiedUserName": "Simon Jacobs"
},
{
"Id": 312,
"Name": "$3 Reward",
"PointsRequired": 50,
"Type": "MoneyOffInvoice",
"Value": "3",
"DiscountId": "a24c383b-58e9-44ec-ad67-ee5ce60fb499",
"LastModifiedUtc": "2018-06-29T22:58:24.9531397Z",
"LastModifiedUserName": "Smoke Test"
}
]
Models
RewardType
Possible enumeration values:
| Name | Value | Description |
|---|---|---|
| Undefined | 0 | |
| MoneyOffInvoice | 1 |
POST v1/Companies({CompanyId})/Entities({LocationId})/Rewards
Creates a Loyalty Reward for a Company
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding package | integer | Required |
| LocationId | Any Location Id, or the Company Id | integer | Required |
Body Parameters
Body of call see example above
LoyaltyRewardPost
| Name | Description | Type | Additional information |
|---|---|---|---|
| PointsRequired | The points required to redeedm this reward. | integer | None. |
| Name | The name of this reward | string | None. |
| Value | The dollar value of this reward. | string | None. |
| Type | The type of reward. This must be 'MoneyOffInvoice'. | RewardType | None. |
Request Formats
application/json, text/json
{
"Name": "$5 off for 5000",
"PointsRequired": 5000,
"Type": "MoneyOffInvoice",
"Value": "5"
}
Response Information
Resource Description
Loyalty Reward that was created
LoyaltyRewardsByCompanyReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | The unique Id for this reward. This is generated by the system and is required for updating or deleting a reward, but not for creating a reward. | integer | None. |
| Name | The name of this reward. | string | None. |
| PointsRequired | The points required to redeedm this reward. | integer | None. |
| Type | The type of reward. This must be 'MoneyOffInvoice'. | RewardType | None. |
| Value | The dollar value of this reward. | string | None. |
| DiscountId | The corresponding DisocuntId for this reward. Is not used | globally unique identifier | None. |
| LastModifiedUtc | The last modified date of this reward. | date | None. |
| LastModifiedUserName | The username of the last user to modify this reward. | string | None. |
Response Formats
application/json, text/json
{
"Id": 310,
"Name": "$5 off for 5000",
"PointsRequired": 5000,
"Type": "MoneyOffInvoice",
"Value": "5",
"DiscountId": "565ecf0d-3d0b-47f2-a741-ae6b5eb6104d",
"LastModifiedUtc": "2018-06-29T22:58:23.6588214Z",
"LastModifiedUserName": "Simon Jacobs"
}
Models
RewardType
Possible enumeration values:
| Name | Value | Description |
|---|---|---|
| Undefined | 0 | |
| MoneyOffInvoice | 1 |
PUT v1/Companies({CompanyId})/Entities({LocationId})/Rewards({RewardId})
Deletes and Creates a Loyalty Reward
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding package | integer | Required |
| LocationId | Any Location Id, or the Company Id | integer | Required |
| RewardId | The unique Reward Id you want to update. This Reward will be deleted and a new one created with a new Id | integer | Required |
Body Parameters
Body of call see example above
LoyaltyRewardPost
| Name | Description | Type | Additional information |
|---|---|---|---|
| PointsRequired | The points required to redeedm this reward. | integer | None. |
| Name | The name of this reward | string | None. |
| Value | The dollar value of this reward. | string | None. |
| Type | The type of reward. This must be 'MoneyOffInvoice'. | RewardType | None. |
Request Formats
application/json, text/json
{
"Name": "$5 off for 5000",
"PointsRequired": 5000,
"Type": "MoneyOffInvoice",
"Value": "5"
}
Response Information
Resource Description
None.
Models
RewardType
Possible enumeration values:
| Name | Value | Description |
|---|---|---|
| Undefined | 0 | |
| MoneyOffInvoice | 1 |
DELETE v1/Companies({CompanyId})/Entities({LocationId})/Rewards({RewardId})
Deletes a Loyalty Reward
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding package | integer | Required |
| LocationId | Any Location Id, or the Company Id | integer | Required |
| RewardId | The unique Reward Id you want to delete | integer | Required |
Body Parameters
None.
Response Information
Resource Description
None.
GET v1/LoyaltyAdjustmentHistoryReport/report?DateRange={DateRange}&Page={Page}&PageSize={PageSize}
Returns All Loyalty Adjustment Report for a Company based on Timeframe
Base URL:
https://reporting.iqmetrix.net
Example of a call would be:
Date Range Paramters indude:
Today, Yesterday, LastWeek, LastMonth, LastQuarter, WeekToDate, MonthToDate, QuarterToDate, YearToDate, FullYear, Everything
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| DateRange | The Timeframe you want for the Loyalty Adjustments Reprot | string | Required |
| Page | Which page of data to return | integer | Required |
| PageSize | number of records per page | integer | Required |
Body Parameters
None.
Response Information
Resource Description
Loyalty Adjustment Report for a Company based on Timeframe
LoyaltyAdjustmentReportByCompanyReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| definition | Object | None. | |
| rows | Collection of row | None. | |
| totalRecords | integer | None. |
Response Formats
application/json, text/json
{
"definition": {},
"rows": [
{
"dateUtc": "2026-10-02T17:42:54.4011203+00:00",
"adjustmentType": "sample string 2",
"amount": "sample string 3",
"employee": "sample string 4",
"customer": "sample string 5",
"reason": "sample string 6"
},
{
"dateUtc": "2026-10-02T17:42:54.4011203+00:00",
"adjustmentType": "sample string 2",
"amount": "sample string 3",
"employee": "sample string 4",
"customer": "sample string 5",
"reason": "sample string 6"
}
],
"totalRecords": 2
}
Models
row
| Name | Description | Type | Additional information |
|---|---|---|---|
| dateUtc | date | None. | |
| adjustmentType | string | None. | |
| amount | string | None. | |
| employee | string | None. | |
| customer | string | None. | |
| reason | string | None. |
GET v1/Companies({CompanyId})/Entities({LocationId})/customers({CustomerId})/summary
Returns All the Loyalty Points for a Customer
Base URL:
https://api.covasoft.net/iqloyalty
Example of a call would be:
https://api.covasoft.net/iqloyalty/v1/Companies({CompanyId})/Entities({LocationId})/customers({CustomerId})/summary
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage | integer | Required |
| LocationId | Any Location Id, or the Company Id | integer | Required |
| CustomerId | The Customer Id Guid that you want the Loyalty Rewards Summary | globally unique identifier | Required |
Body Parameters
None.
Response Information
Resource Description
Loyalty Points for a Customer
LoyaltyPointsByCustomerReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| PointsBalance | integer | None. | |
| LifetimePointsBalance | integer | None. |
Response Formats
application/json, text/json
{
"PointsBalance": 1,
"LifetimePointsBalance": 2
}
GET v1/Companies({CompanyId})/Entities({LocationId})/Invoices({InvoiceId})
Returns the Loyalty Points for an Invoice
Base URL:
https://api.covasoft.net/iqloyalty
Example of a call would be:
https://api.covasoft.net/iqloyalty/v1/Companies({CompanyId})/Entities({LocationId})/Invoices({InvoiceId})
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage | integer | Required |
| LocationId | Any Location Id, or the Company Id | integer | Required |
| InvoiceId | The Invoice Id Guid that you want the Loyalty Rewards Summary | globally unique identifier | Required |
Body Parameters
None.
Response Information
Resource Description
Loyalty Points for an Invoice
LoyaltyPointsByInvoiceReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| InvoiceId | globally unique identifier | None. | |
| PointsEarned | integer | None. | |
| PointsBalance | integer | None. |
Response Formats
application/json, text/json
{
"InvoiceId": "ec7c5c31-b781-4f8c-9fe3-4281759ba8f0",
"PointsEarned": 2,
"PointsBalance": 3
}
POST v1/Companies({CompanyId})/Entities({LocationId})/customers({CustomerId})/adjustment
Post Loyalty Point Adjustments to a Customer
Base URL:
https://api.covasoft.net/iqloyalty
Example of a call would be:
https://api.covasoft.net/iqloyalty/v1/Companies({CompanyId})/Entities({CompanyId})/customers({CustomerId})/adjustment
Body Example:
{ "PointsAdjustmentAmount": -61, "Notes": "Test", "user": 974152 }
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique Company Id that was provided in your onboarding pacakage | integer | Required |
| LocationId | Any Location Id, or the Company Id | integer | Required |
| CustomerId | The Customer Id Guid that you want the Loyalty Rewards Summary | globally unique identifier | Required |
Body Parameters
Body of call see example above
LoyaltyPointsAdjustmentPost
| Name | Description | Type | Additional information |
|---|---|---|---|
| PointsAdjustmentAmount | integer | None. | |
| Notes | string | None. | |
| user | integer | None. |
Request Formats
application/json, text/json
{
"PointsAdjustmentAmount": 1,
"Notes": "sample string 2",
"user": 3
}
Response Information
Resource Description
HttpResponseMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| StatusCode | HttpStatusCode | None. | |
| ReasonPhrase | string | None. | |
| Headers | Collection of Object | None. | |
| RequestMessage | HttpRequestMessage | None. | |
| IsSuccessStatusCode | boolean | None. |
Models
Version
| Name | Description | Type | Additional information |
|---|---|---|---|
| Major | integer | None. | |
| Minor | integer | None. | |
| Build | integer | None. | |
| Revision | integer | None. | |
| MajorRevision | integer | None. | |
| MinorRevision | integer | None. |
HttpContent
| Name | Description | Type | Additional information |
|---|---|---|---|
| Headers | Collection of Object | None. |
HttpStatusCode
Possible enumeration values:
| Name | Value | Description |
|---|---|---|
| Continue | 100 | |
| SwitchingProtocols | 101 | |
| OK | 200 | |
| Created | 201 | |
| Accepted | 202 | |
| NonAuthoritativeInformation | 203 | |
| NoContent | 204 | |
| ResetContent | 205 | |
| PartialContent | 206 | |
| MultipleChoices | 300 | |
| Ambiguous | 300 | |
| MovedPermanently | 301 | |
| Moved | 301 | |
| Found | 302 | |
| Redirect | 302 | |
| SeeOther | 303 | |
| RedirectMethod | 303 | |
| NotModified | 304 | |
| UseProxy | 305 | |
| Unused | 306 | |
| TemporaryRedirect | 307 | |
| RedirectKeepVerb | 307 | |
| BadRequest | 400 | |
| Unauthorized | 401 | |
| PaymentRequired | 402 | |
| Forbidden | 403 | |
| NotFound | 404 | |
| MethodNotAllowed | 405 | |
| NotAcceptable | 406 | |
| ProxyAuthenticationRequired | 407 | |
| RequestTimeout | 408 | |
| Conflict | 409 | |
| Gone | 410 | |
| LengthRequired | 411 | |
| PreconditionFailed | 412 | |
| RequestEntityTooLarge | 413 | |
| RequestUriTooLong | 414 | |
| UnsupportedMediaType | 415 | |
| RequestedRangeNotSatisfiable | 416 | |
| ExpectationFailed | 417 | |
| UpgradeRequired | 426 | |
| InternalServerError | 500 | |
| NotImplemented | 501 | |
| BadGateway | 502 | |
| ServiceUnavailable | 503 | |
| GatewayTimeout | 504 | |
| HttpVersionNotSupported | 505 |
HttpRequestMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| Method | HttpMethod | None. | |
| RequestUri | URI | None. | |
| Headers | Collection of Object | None. | |
| Properties | Dictionary of string [key] and Object [value] | None. |
HttpMethod
| Name | Description | Type | Additional information |
|---|---|---|---|
| Method | string | None. |
POST v1/Companies({CompanyId})/Entities({LocationId})/customers({CustomerId})/revision
Post Loyalty point revision for the customer. Can be used to set the current available loyalty points for a customer without needing to fetch the current value and adjusting based on the difference to the target value.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| CompanyId | The unique companyId that was provided in your onboarding package | integer | Required |
| LocationId | Any Location Id, or the Company Id | integer | Required |
| CustomerId | The Customer Id Guid | globally unique identifier | Required |
Body Parameters
LoyaltyPointsRevisionPost
| Name | Description | Type | Additional information |
|---|---|---|---|
| RevisedPointsAmount | integer | None. | |
| Notes | string | None. |
Request Formats
application/json, text/json
{
"RevisedPointsAmount": 1,
"Notes": "sample string 2"
}
Response Information
Resource Description
HttpResponseMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| StatusCode | HttpStatusCode | None. | |
| ReasonPhrase | string | None. | |
| Headers | Collection of Object | None. | |
| RequestMessage | HttpRequestMessage | None. | |
| IsSuccessStatusCode | boolean | None. |
Models
Version
| Name | Description | Type | Additional information |
|---|---|---|---|
| Major | integer | None. | |
| Minor | integer | None. | |
| Build | integer | None. | |
| Revision | integer | None. | |
| MajorRevision | integer | None. | |
| MinorRevision | integer | None. |
HttpContent
| Name | Description | Type | Additional information |
|---|---|---|---|
| Headers | Collection of Object | None. |
HttpStatusCode
Possible enumeration values:
| Name | Value | Description |
|---|---|---|
| Continue | 100 | |
| SwitchingProtocols | 101 | |
| OK | 200 | |
| Created | 201 | |
| Accepted | 202 | |
| NonAuthoritativeInformation | 203 | |
| NoContent | 204 | |
| ResetContent | 205 | |
| PartialContent | 206 | |
| MultipleChoices | 300 | |
| Ambiguous | 300 | |
| MovedPermanently | 301 | |
| Moved | 301 | |
| Found | 302 | |
| Redirect | 302 | |
| SeeOther | 303 | |
| RedirectMethod | 303 | |
| NotModified | 304 | |
| UseProxy | 305 | |
| Unused | 306 | |
| TemporaryRedirect | 307 | |
| RedirectKeepVerb | 307 | |
| BadRequest | 400 | |
| Unauthorized | 401 | |
| PaymentRequired | 402 | |
| Forbidden | 403 | |
| NotFound | 404 | |
| MethodNotAllowed | 405 | |
| NotAcceptable | 406 | |
| ProxyAuthenticationRequired | 407 | |
| RequestTimeout | 408 | |
| Conflict | 409 | |
| Gone | 410 | |
| LengthRequired | 411 | |
| PreconditionFailed | 412 | |
| RequestEntityTooLarge | 413 | |
| RequestUriTooLong | 414 | |
| UnsupportedMediaType | 415 | |
| RequestedRangeNotSatisfiable | 416 | |
| ExpectationFailed | 417 | |
| UpgradeRequired | 426 | |
| InternalServerError | 500 | |
| NotImplemented | 501 | |
| BadGateway | 502 | |
| ServiceUnavailable | 503 | |
| GatewayTimeout | 504 | |
| HttpVersionNotSupported | 505 |
HttpRequestMessage
| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version | None. | |
| Content | HttpContent | None. | |
| Method | HttpMethod | None. | |
| RequestUri | URI | None. | |
| Headers | Collection of Object | None. | |
| Properties | Dictionary of string [key] and Object [value] | None. |
HttpMethod
| Name | Description | Type | Additional information |
|---|---|---|---|
| Method | string | None. |